Subject: Re: Problems listing tasks under cygwin.
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Tue, 18 May 2004 11:34:02 -0700

Dave Korn wrote:

>   Actually, SYSTEM has higher privileges in general than root.  It may well
> be impossible to kill some tasks belonging to system because they may not
> allow full access even to users with admin rights.  The error message may be
> misleading, and maybe it should be saying "Access denied".

FYI, you can kill SYSTEM processes as a regular user administrator
account using Process Explorer from sysinternals.com.  I haven't checked
but I believe the program installs a helper driver that runs as SYSTEM
to perform these actions as proxy for the user.  A lot of the
sysinternals tools do something like that it seems.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/